多平台 - 查询FBT库存
POST
/basicOpen/multiplatform/fbt/stockSearch/v2支持多平台-查询FBT库存
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/fbt/stockSearch/v2 | HTTPS | POST | 1 |
请求参数
lengthintegeroffsetintegerstoreIdsarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/fbt/stockSearch/v2?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"length": 20,
"offset": 0,
"storeIds": ["110418202566107648"]
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
pageobject必填隐藏子属性
recordsarray<object>必填隐藏子属性
availableQuantityinteger必填fbtWarehouseNamestring必填goodIdinteger必填goodNamestring必填goodReferenceCodestring必填inTransitQuantityinteger必填reservedQuantityinteger必填storeIdsarray<any>必填storeNameListarray<any>必填totalInventoryQuantityinteger必填totalQuantityinteger必填unfulfillableQuantityinteger必填totalinteger必填syncTimestring必填error_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"data": {
"page": {
"records": [
{
"availableQuantity": 1,
"fbtWarehouseName": "广州FBT仓",
"goodId": 1234567890,
"goodName": "示例标题",
"goodReferenceCode": "CODE001",
"inTransitQuantity": 1,
"reservedQuantity": 1,
"storeIds": "[\"110418202566107648\"]",
"storeNameList": "[\"\\u5e97\\u94faA\"]",
"totalInventoryQuantity": 1,
"totalQuantity": 1,
"unfulfillableQuantity": 1
}
],
"total": 21
},
"syncTime": "2024-11-12 12:34:56"
},
"error_details": [],
"message": "value",
"request_id": "value",
"response_time": "value",
"total": 0
}